package cn.com.qmth.examcloud.starters.face.verify.model;

/**
 * 人脸照片处理接口地址前缀常量定义(待移至配置文件内)
 *
 * @author: QMTH
 * @since: 2019/3/25
 */
public interface Constants {

    /* 百度 获取Token API */
    String BAI_DU_TOKEN_URL = "https://aip.baidubce.com/oauth/2.0/token?grant_type=client_credentials&client_id=%s&client_secret=%s";

    /* 百度 人脸活体检测API */
    String BAI_DU_DETECT_FACE_URL = "https://aip.baidubce.com/rest/2.0/face/v3/faceverify?access_token=%s";

    /* 百度 人脸检测API(可检测人脸数) */
    String BAIDU_DETECT_FACE_WITH_FACE_SIZE_URL = "https://aip.baidubce.com/rest/2.0/face/v3/detect?access_token=%s";

    /* Face++ 人脸识别对比API */
    String FACE_PLUS_COMPARE_FACE_URL = "https://api-cn.faceplusplus.com/facepp/v3/compare";

    /* Face++ 人脸的活体检测API(可检测人脸数) */
    String FACE_PLUS_DETECT_FACE_URL = "https://api-cn.faceplusplus.com/facepp/v3/detect";

}