package cn.com.qmth.examcloud.starters.face.verify.model.baidu;

import cn.com.qmth.examcloud.starters.face.verify.model.IModel;

import java.util.List;

/**
 * @author: QMTH
 * @since: 2019/3/25
 */
public class BaiduResultInfo implements IModel {

    private static final long serialVersionUID = 1L;

    private Double face_liveness;//活体分数值

    private Integer face_num;//人脸数

    private List<BaiduFaceInfo> face_list;//人脸信息列表

    private BaiduThresholds thresholds;//置信度阈值(误识率越低，准确率越高)

    public Double getFace_liveness() {
        if (face_liveness == null) {
            return 0D;
        }
        return face_liveness;
    }

    public Integer getFace_num() {
        if (face_num == null) {
            return 0;
        }
        return face_num;
    }

    public List<BaiduFaceInfo> getFace_list() {
        return face_list;
    }

    public BaiduThresholds getThresholds() {
        return thresholds;
    }

    public void setFace_liveness(Double face_liveness) {
        this.face_liveness = face_liveness;
    }

    public void setFace_num(Integer face_num) {
        this.face_num = face_num;
    }

    public void setFace_list(List<BaiduFaceInfo> face_list) {
        this.face_list = face_list;
    }

    public void setThresholds(BaiduThresholds thresholds) {
        this.thresholds = thresholds;
    }

}